"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_languageserver_protocol_1 = require("vscode-languageserver-protocol");
var FoldingRangeType;
(function (FoldingRangeType) {
    /**
     * Folding range for a comment
     */
    FoldingRangeType["Comment"] = "comment";
    /**
     * Folding range for a imports or includes
     */
    FoldingRangeType["Imports"] = "imports";
    /**
     * Folding range for a region (e.g. `#region`)
     */
    FoldingRangeType["Region"] = "region";
})(FoldingRangeType = exports.FoldingRangeType || (exports.FoldingRangeType = {}));
/**
 * A request to provide folding ranges in a document. The request's
 * parameter is of type [FoldingRangeRequestParam](#FoldingRangeRequestParam), the
 * response is of type [FoldingRangeList](#FoldingRangeList) or a Thenable
 * that resolves to such.
 */
var FoldingRangesRequest;
(function (FoldingRangesRequest) {
    FoldingRangesRequest.type = new vscode_languageserver_protocol_1.RequestType('textDocument/foldingRanges');
})(FoldingRangesRequest = exports.FoldingRangesRequest || (exports.FoldingRangesRequest = {}));
